function [ v ] = vec( X )

% VEC Vectorize
%
%   [ V ] = VEC( X ) returns a column vector V 
%   from a vector, matrix or cell array X.
%
%   See also mat, vecs, vecg.

% Copyright (C) 2008, 2009, 2010 Bogdan C. Sicleru, Bogdan Dumitrescu
% 
% This file is part of POS3POLY.
% 
% POS3POLY is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% POS3POLY is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with POS3POLY.  If not, see <http://www.gnu.org/licenses/>.

% Date: 5.10.08-26.10.08

% check if X is a matrix
% if nnz( size( X ) - 1 ) ~= 2       
%     % X is not a matrix
%     warning( 'MATLAB:SeDuMiPol:InputNotMatrix', ...
%              'X is not a matrix.' );
% end

% vectorize
v = X( : );